Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.format
Class StringFormatter

    java.lang.Object
      org.eclipse.birt.core.format.StringFormatter

All Implemented Interfaces:
  IFormatter

    public class StringFormatter

extends java.lang.Object
implements IFormatter

Defines a string formatting class. Notice that unlike numeric or Date formatting, locale is irrelevant in string formatting

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.birt.core.format.IFormatter
`IFormatter.DefaultFormatter`

Field Summary
`protected java.lang.String` | `formatPattern`
`protected static java.util.logging.Logger` | `logger` logger used to log syntax errors.

Constructor Summary
`StringFormatter()` constructor with no argument
`StringFormatter(java.util.Locale locale)` Deprecated. since 2.1
`StringFormatter(java.lang.String format)` constructor with a format string argument
`StringFormatter(java.lang.String format, java.util.Locale locale)` Deprecated. since 2.1
`StringFormatter(java.lang.String format, com.ibm.icu.util.ULocale locale)` Constructor with the format string and locale
`StringFormatter(com.ibm.icu.util.ULocale locale)` constructor with no formatting string

Method Summary
`void` | `applyPattern(java.lang.String format)`
`java.lang.String` | `format(java.lang.String str)` returns the formated string for the string parameter.
`java.lang.String` | `formatValue(java.lang.Object value)` format the value object into a string.
`java.util.Locale` | `getLocale()` Deprecated. since 2.1
`java.lang.String` | `getPattern()` returns the original format string.
`com.ibm.icu.util.ULocale` | `getULocale()` getLoacle() method, return the locale value.
`java.lang.String` | `parser(java.lang.String str)` Parses the input string into a unformatted string type.
`void` | `setLocale(java.util.Locale theLocale)` Deprecated. since 2.1
`void` | `setLocale(com.ibm.icu.util.ULocale theLocale)` setLoacle() method, set the locale value.
`void` | `setTrim(boolean trim)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static java.util.logging.Logger logger

  logger used to log syntax errors.

### formatPattern

    protected java.lang.String formatPattern

Constructor Detail

### StringFormatter

    public StringFormatter()

  constructor with no argument

### StringFormatter

    public StringFormatter(com.ibm.icu.util.ULocale locale)

  constructor with no formatting string

### StringFormatter

    public StringFormatter(java.util.Locale locale)

  Deprecated. since 2.1

### StringFormatter

    public StringFormatter(java.lang.String format)

  constructor with a format string argument

  Parameters:
    `format` - the format string

### StringFormatter

    public StringFormatter(java.lang.String format,
                           com.ibm.icu.util.ULocale locale)

  Constructor with the format string and locale

  Parameters:
    `format` - the format string
    `locale` - the locale

### StringFormatter

    public StringFormatter(java.lang.String format,
                           java.util.Locale locale)

  Deprecated. since 2.1

Method Detail

### applyPattern

    public void applyPattern(java.lang.String format)

  Parameters:
    `format` - the format pattern

### getPattern

    public java.lang.String getPattern()

  returns the original format string.

### getULocale

    public com.ibm.icu.util.ULocale getULocale()

  getLoacle() method, return the locale value.

### getLocale

    public java.util.Locale getLocale()

  Deprecated. since 2.1

  Returns:

### setLocale

    public void setLocale(com.ibm.icu.util.ULocale theLocale)

  setLoacle() method, set the locale value.

### setLocale

    public void setLocale(java.util.Locale theLocale)

  Deprecated. since 2.1

### format

    public java.lang.String format(java.lang.String str)

  returns the formated string for the string parameter.
  - '@' - character or space
  - '&' - character or empty
  - '<' - tolower
  - '>' - toupper
  - '!' - left to right

  Parameters:
    `str` - format string

### parser

    public java.lang.String parser(java.lang.String str)
                            throws java.text.ParseException

  Parses the input string into a unformatted string type.

  Parameters:
    `str` - the input string to parse
  Returns:
    the string
  Throws:
    `java.text.ParseException` - if the specified string cannot be parsed according to specified pattern.

### setTrim

    public void setTrim(boolean trim)

  Parameters:
    `trim` - the trim to set

### formatValue

    public java.lang.String formatValue(java.lang.Object value)

  Description copied from interface: `IFormatter`
  format the value object into a string.

  Specified by:
    `formatValue` in interface `IFormatter`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.